"""
@author: luojunhui
"""
import pymysql
from config import planConfigDict


class DeNetMysql(object):
    """
     Mysql Server
    """
    connection = pymysql.connect(
        host="rm-t4na9qj85v7790tf84o.mysql.singapore.rds.aliyuncs.com",  # 数据库IP地址，内网地址
        port=3306,  # 端口号
        user="crawler_admin",  # mysql用户名
        passwd="cyber#crawler_2023",  # mysql用户登录密码
        db="aigc-admin-prod",  # 数据库名
        charset="utf8mb4"  # 如果数据库里面的文本是utf8编码的，charset指定是utf8
    )

    @classmethod
    def getUnEmptyPlan(cls):
        """
        :return:
        """
        sql = "select id, name from crawler_plan where name like '%腾讯互选-%' and crawler_total_num > 0;"
        cursor = cls.connection.cursor()
        cursor.execute(sql)
        data = cursor.fetchall()
        result = [list(line)[0] for line in data]
        # print(result)
        result = [i for i in result if planConfigDict.get(i)]
        return result

    @classmethod
    def update(cls, sql, params):
        """
        :param sql:
        :param params:
        :return:
        """
        cursor = cls.connection.cursor()
        cursor.execute(sql, params)
        cls.connection.commit()

    @classmethod
    def select(cls, sql):
        """
        查询方法
        :param sql:
        :return:
        """
        cursor = cls.connection.cursor()
        cursor.execute(sql)
        result = cursor.fetchall()
        return result


# from tqdm import tqdm
#
# D = DeNetMysql()
# select_sql = "select article_id, link from crawler_meta_article"
# data_list = D.select(select_sql)


# def update_single(line):
#     """
#
#     :return:
#     """
#     aid = line[0]
#     url = line[1]
#     index = url.split("idx=")[1].split("&")[0]
#     update_sql = f"""
#             update crawler_meta_article
#             set article_index = %s
#             where article_id = %s;
#         """
#     D.update(sql=update_sql, params=(index, aid))
#     # print("success   :{}".format(aid))
#
#
# for line in tqdm(data_list):
#     update_single(line)
